import { useState } from "react";
import { Project } from "../Types/goTypes";
import GetProjects from "./GetProjects";

function UserProjectListAdmin(props: { username: string }): JSX.Element {
  const [projects, setProjects] = useState<Project[]>([]);

  GetProjects({ setProjectsProp: setProjects, username: props.username });

  return (
    <div className="border-2 border-black bg-white rounded-lg text-left overflow-auto h-[15vh] font-medium">
      <ul className="divide-y-2">
        {projects.map((project) => (
          <li className="mx-2 my-1" key={project.id}>
            <span>{project.name}</span>
          </li>
        ))}
      </ul>
    </div>
  );
}

export default UserProjectListAdmin;
